/*
 * File: Equality.java
 * -----------------------
 * In which cases below are the values equal?
 */

import java.awt.Color;

import acm.graphics.*;
import acm.program.*;

public class Equality extends GraphicsProgram {
	
	public void run() {	
		int num1 = 12;
		int num2 = 12;

		if(num1 == num2){
			// These are equal!
			println("These integers are equal!");
		} else {
			println("Actually, these integers are not equal.");
		}
		
		GRect rect1 = new GRect(100, 100);
		GRect rect2 = new GRect(100, 100);

		if(rect1 == rect2){
			println("These rectangles are equal!");
		} else {
			// These are not equal.
			println("Actually, these rectangles are not equal.");
		}
		
		GRect rect3 = new GRect(100, 100);

		if(rect3 == rect3){
			// These are equal!
			println("This rectangle is equal to itself!");
		} else {
			println("Actually, this rectangle is not equal to itself.");
		}
		
		GRect rect4 = new GRect(100, 100);
		GRect rect5 = rect4;

		if(rect4 == rect5){
			// These are equal!
			println("These rectangles are equal!");
		} else {
			println("Actually, these rectangles are not equal.");
		}
	
	}
	
}
